#' Check if the input is a single object
#'
#' @param exp input expression
#'
#' @details
#' 1 single balanced parens \cr
#' 2 simple name \cr
#' 3 simple function call \cr
#' \cr
#' No preceeding or trailing signs.
#'
#' @export
#'

is_solo <-function( exp ){
 # check if exp is a single varaible
 # Shin-ichi Mayekawa
 # 20151004
 #

 # valname
 # functionname + ( whatever )
 # ( )
 #

 # single balanced parens
 if( substr(exp,1,1) == "(" && locbalpar( exp, 1 ) == nchar(exp) )
  return( TRUE )

 # simple variable name
 res=regexpr( "^[[:alpha:]]+[[:alnum:]._]*$", exp )[[1]]
 if( res == 1 ) return( TRUE )

 # simple function call
 res=regexpr( "^[[:alpha:]]+[[:alnum:]._]*\\(", exp )[[1]]
 if( res == 1 ){
  if( locbalpar( exp, regexpr("\\(", exp)[[1]] ) == nchar(exp) ) return( TRUE )
  else return( FALSE )
 }

 return(FALSE)

} # end of is_solo




