#' Map function to each element of exp
#'
#' @param func Function to apply:  character
#' @param exp Symbolic expression
#'
#' @return A numeric matrix of the same size as exp
#'
#' @examples
#' A <- demomat(2,2,root="a")
#' map( "exp", A )
#'
#' @export
#'

map <- function( func="", exp ){
 # Map function to each element of exp
 # Shin-ichi Mayekawa
 # 20150817,18
 # add_paren modified: 20150912
 #

 exp[]=unlist( lapply( exp,function(x) paste(func,"(",x,")",sep="") ) )

 return( exp )

} # map


