% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Inv.R
\name{Inv}
\alias{Inv}
\title{Matrix Inversion}
\usage{
Inv(A, loc = 1:nrow(A), method = "Sweep", ...)
}
\arguments{
\item{A}{A square matrix}

\item{loc}{vector of pivot locations}

\item{method}{"Sweep" or "GE"}

\item{simplify}{= 0 not to use Simplify nor remove_paren \cr
= 1 to use Simplify}

\item{eps}{small value to check if the pivot is 0.}

\item{nopermute}{=1 to avoid permuting rows/cols when inverting A.}

\item{chkginv}{= 1 to check if the resulting g-inverse is genuin.}

\item{history}{= 1 to return the permutation matrix D}

\item{debug}{= 1 to print intermediate result.}
}
\description{
Matrix Inversion by Sweep or Gaussian Elimination
}
\details{
If \code{A} is a numeric matrix, \code{matSwp} function
in lazy.mat package will be used with the following parameters: \cr
 \code{A, loc, eps, nopermute, chkginv, history, debug}.

If \code{A} is a semi symbolic character matrix, \code{matSweep} function
or \code{invGE} function in lazy.symbolic package will be used
with the following parameters \cr
 \code{A, loc, simplify, debug}.

If \code{A} is a semi symbolic character matrix,
if \code{method="Sweep"}, \code{matSweep} will be used. (Sweep Operator)
if \code{method="Ge"}, \code{invGE} will be used. (Gaussian Elimination)
}
\examples{
# numeric A
An=demomat(2,2)
Inv(An)

# character A
A=demomat(2,2, root="a")
Inv(A)

# # by Gaussian Elimination
# Inv(A, method="GE" )

# character A as a partitioned matrix
Ap=demomat(2,2, root="A", fullsymb=1)
Inv(Ap)

}
