% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/KP.R
\name{KP}
\alias{KP}
\title{Symbolic Expression of the i-j element of the Kronecker Product}
\usage{
KP(A, B, row = "i", col = "j", eval = 0, ntogoback = 1, print = 0)
}
\arguments{
\item{A}{A matrix}

\item{B}{B matrix}

\item{row}{row index}

\item{col}{col index}

\item{eval}{= 1 to evaluate the result}

\item{ntogoback}{n parameter of sys.parent function}

\item{print}{= 1 to print the result}
}
\value{
When eval=0, the symbolic expression will be returned. \cr
When eval=1, a list of ABij, value, i, and j will be returned.
}
\description{
Symbolic Expression of the i-j element of the Kronecker Product
}
\details{
The i-j element of A@B is \cr
\code{
A[(i-(i-1)\%\%nrow(B)+nrow(B)-1)/nrow(B)
,(j-(j-1)\%\%ncol(B)+ncol(B)-1)/ncol(B)]
*
B[(i-1)\%\%nrow(B)+1,(j-1)\%\%ncol(B)+1]
}
\cr
\cr
When eval=1, the  A and B matrices must be defined.
Also, the numeric value of indices i and j must be specified.
}
\examples{
\dontrun{
KP(A,B)
KP(D,E, row="p", col="q")

# with evaluation
A <- demomat(2,2,root="a"); B <- demomat(3,3,root="b")
i <- 3; j <-4
KP(A,B,eval=1,print=1)
}

}
