% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/PM.R
\name{Minus}
\alias{Minus}
\title{Difference of Two or More Symbolic Expressions}
\usage{
Minus(..., simplify = 1, debug = 0)
}
\arguments{
\item{...}{Symbolic matrices or vectors to be subtracted.}

\item{simplify}{= 0 not to use Simplify nor remove_paren \cr
= 1 to use Simplify}

\item{debug}{= 1 to print intermediate result}
}
\value{
A character matrix
}
\description{
Difference of Two or More Symbolic Expressions
}
\details{
Tow matrices of the same dimensions can be added or subtraced. \cr
A scalar can be added to or subtracted from a matrix \cr
\cr
Numeric matrices will be treated as character ones. \cr\cr
When you want to chage the sign of all the elements of a matrix, use \cr
A1 <- Minus( 0, A )   or   A1 <- Times( -1, A )
\cr
Minus( A, B, C, ...) -> A-B-C-...


If the arguments are  super matrices with SMdim attributes,
the final result will have an appropriate SMdim attribute.
}
\examples{
Minus( 3,2,1 )
A <- demomat(3,3,root="a")
A[2,2] <- paste("-",A[2,2],sep="")
B <- demomat(3,3,root="b")
B[3,3] <- 0
Minus( A, B )
Minus( A, 1 )

}
