% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/find_varfunc.R
\name{find_varfunc}
\alias{find_varfunc}
\title{Find Variables and Functions in an Expression}
\usage{
find_varfunc(
  expr,
  func = 0,
  mark = 0,
  markchar = c("V", "F"),
  debug = 0,
  print = 0
)
}
\arguments{
\item{expr}{An input expression as a (scalar) string.}

\item{func}{= 1 to return the functions with nesting level info}

\item{mark}{= 1 to mark the found ones.}

\item{markchar}{A character vector of length=2,
The first one is for variable, the 2nd, function.}

\item{debug}{= 1 to print the intermediate results.}

\item{print}{= 1 to print the result.}
}
\value{
A list of\cr
\code{expr} (marked) input expression \cr
\code{varlist} a list or variables/functions in expr \cr
\code{is.function} indicator vector: \code{is.function[i]=1}
 if \code{varlist[i]} is a function \cr
\code{fromto} the range of the variables/functions \cr
\code{bp} the location of the left and the right parens for functions \cr
\cr
In addition, if \code{func=1}, \cr
\code{fname} function name. \cr
\code{fpnum} parent function number. \cr
\code{fpname} parent function name. \cr
\code{flevel} function level: (flevel=1 means the top level.) \cr
\code{fbody} function body (with enclosing parens).
}
\description{
Find Variables and Functions in an Expression
}
\details{
Given a valid expression, decompose it into variables and functions.
}
\examples{
find_varfunc("-a(10)+b1*c2-d(x)", mark=0, print=1)
find_varfunc("-a(10)+b1*c2-d(x)", mark=1, print=1)
find_varfunc("a-b+1*(c-d-1*(e+f)-g)+1*(h1(x+g(y))+(i+j))", mark=1, print=1)

expr="-BB+f(C1-D)-a*gg(h1(EE)+P+h2(XX-q(y)))-H"
res=find_varfunc( expr, print=1, func=1)

}
