% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/gen_random_expr.R
\name{gen_random_expr}
\alias{gen_random_expr}
\title{Generate Random Expression}
\usage{
gen_random_expr(
  natom = 2,
  nparen = 0,
  nparen2 = 0,
  random = 0,
  maxlena = 1,
  maxlennum = 0,
  oper = c("+", "-", "*"),
  alpha = c(letters, LETTERS),
  num = formatC(0:9, digits = 0, format = "d"),
  print = 0,
  debug = 0
)
}
\arguments{
\item{natom}{# of atmic elements in an expression}

\item{nparen}{# of parentheses in an expression}

\item{nparen2}{# of higher level parentheses in an expression}

\item{random}{= 1 to randomize the roots of the atomic elements}

\item{maxlena}{# of alphabets in the root}

\item{maxlennum}{# of numerics in the root}

\item{oper}{a vector consisting of the binary operators to be used}

\item{alpha}{a vector of characters to be used as the root}

\item{num}{a vector of the numbers to be used as the root}

\item{print}{= 1 to print the result \cr
= 2 to print the expanded result.}
}
\value{
an expression as a character vector of length one
}
\description{
Generate Random Expression
}
\details{
This function generates a valid expression according to the specification
given by the input parameters
}
\examples{
set.seed(1701)
gen_random_expr(  )
gen_random_expr( natom=9, random=1, nparen=3 )
set.seed(1701)
gen_random_expr( natom=9, random=1, nparen=3, nparen2=3 )
expr <- gen_random_expr( natom=9, random=0, nparen=3, nparen2=1
         , oper=c("\%*\%","+","-"), alpha=LETTERS[-9] )
expr <- sub( "D", "diag(D)", expr, fixed=1 )

}
