% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/is_valid.R
\name{is_valid}
\alias{is_valid}
\title{Check If the Input Expression is Valid}
\usage{
is_valid(expr, print = 0)
}
\arguments{
\item{expr}{An expression as a string}

\item{print}{= 1 to print the result}
}
\value{
A list of checks\cr
\code{valid} = TRUE if the input expression is valid \cr
meaning the following ok's are all zero.
\code{errlist}  A list of error names if any. \cr
\code{ok} A vector of the following check flags: \cr\cr
\code{ubp} : unbalanced parentheses \cr
\code{)a} : no operators after ) \cr
\code{+)|(*} : parenthesis after or before an operator \cr
\code{*+} : operators w/o variables \cr
\code{/+} : operators w/o variables \cr
\code{1a} : number followed by alpha or left paren \cr
\code{**} : multiplicative operators at start or any oprs. at end \cr
\cr
\code{errflag} return values from regexpr
}
\description{
Check If the Input Expression is Valid
}
\details{
Use \code{find_varfunc(expr)} to list variables/functions in expr.
}
\examples{
is_valid( "a+b/c" )
is_valid( "a*(b+c)d +9f(a)" )
is_valid("a-b(c-2d-1*(e+f)-g+))a+*(h1a(x+g(y)/+4)+(i+j))", print=1)
is_valid("(v+v+(v+(+v+v)+v)+((+v*(+((+(v)*v))))+v))+(v)+v+v*v)")

}
