% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/mark_soper.R
\name{mark_soper}
\alias{mark_soper}
\title{Mark Special Operator by Single Alpha}
\usage{
mark_soper(exp, MARK = NULL, debug = 0)
}
\arguments{
\item{exp}{Input expression which contains special operators}

\item{MARK}{Alternative definition of MARKs as a string}

\item{debug}{= 1 tp print intermediate result}
}
\value{
Expression with the spacial operators marked.
}
\description{
Mark Special Operator by Single Alpha
}
\details{
The following marking rules will be used. \cr
 \code{MARKs="`"}  for \code{\%*\%} \cr
 \code{MARKp="!"}  for \code{\%p\%} \cr
 \code{MARKm="#"}  for \code{\%m\%} \cr
 \code{MARKt="$"}  for \code{\%t\%} \cr
 \code{MARKT="&"}  for \code{\%T\%} \cr
 \code{MARKK="~"}  for \code{\%@\%} \cr
 \cr
 MARK parameter has the following format: \cr
  MARK=' MARKp="p"; MARKm="m" '
}
\examples{
exp="(A \%p\% B \%m\% C) \%t\% (D \%T\% E) \%@\%  F \%*\% G"
mark_soper( exp )
unmark_soper( exp )

}
