% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/matKTimes.R
\name{matKTimes}
\alias{matKTimes}
\title{Symbolic Kronecker Product}
\usage{
matKTimes(
  ...,
  add_paren = 0,
  simplify = 0,
  ra = 0,
  remove_attributes = ra,
  debug = 0
)
}
\arguments{
\item{...}{Symbolic matrices or vectors to be multiplied.}

\item{add_paren}{= 1 to enclose the left matrix by parens}

\item{simplify}{= 1 to simplify the result}

\item{ra}{= 1 to remove the SMdim attributes}

\item{remove_attributes}{same as the ra parameter above.}

\item{debug}{= 1 to print intermediate result}
}
\value{
A nrow(A)*nrow(B) x ncol(A)*ncol(B) matrix
}
\description{
Symbolic Kronecker Product
}
\details{
If A or B is a vector, it will be converted to a column vector. \cr
With ra=0, the result can be printed with separator by \code{Printb}.

Do NOT use \code{t} function to transpose a Kronecker product. \cr
It may destroy the SMdim attributes and causes error in \code{Printb}.
}
\examples{
# symbolic example
A <- demomat(2,2,root="a"); B <- demomat(3,3,root="b")
AkB=matKTimes(A,B)
Printb(AkB)

Printb(matKTimes(diag(2),A))
Printb(matKTimes(1:2,A))
Printb(matKTimes(matrix(1:2,1),A))
Printb(matKTimes(A,1:2))
Printb(matKTimes(A,matrix(1:2,1)))

tAktB=matKTimes(t(A),t(B))
Printb(tAktB)
Printb(Minus(transp(AkB),tAktB))
# Printb(t(AktB))

}
