% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/matTimes.R
\name{matTimes}
\alias{matTimes}
\title{Symbolic Multiplication of Two or More Matrices}
\usage{
matTimes(..., method = 1, padd = 0, simplify = 1, debug = 0)
}
\arguments{
\item{...}{Symbolic matrices or vectors to be multiplied.}

\item{method}{= 2 to use educational method}

\item{padd}{= 0 not to add blank to both sides of + or -}

\item{simplify}{= 0 not to simplify the result}

\item{debug}{= 1 to print intermediate result}
}
\value{
A character matrix
}
\description{
Symbolic Multiplication of Two or More Matrices
}
\details{
In order to be able to multiply A from the left of  B,
ncol(A) == nrow(B). \cr
A matrix and a vector can be multiplied as long as the condition above
holds. \cr
If one argument is a vector, it will be promoted to either a row or column
 vector (matrix) to make the two arguments conformable. \cr
If both are vectors of the same length, it will return the inner product.\cr
A scalar can be multiplied to a matrix \cr
\cr
Numeric matrices will be treated as character ones.
\cr
When you want to chage the sign of all the elements of a matrix, use \cr
A1 <- matMinus( 0, A )   or   A1 <- matTimes( -1, A )


If the arguments are  super matrices with SMdim attributes,
the final result will have an appropriate SMdim attribute.

Can handle fully symbolic partitioned matrices.
}
\examples{
A <- demomat(3,2,root="a")
B <- demomat(2,3,root="b")
matTimes( A, B )
C <- demomat(2,3,root="c")
matTimes( A, Plus(B,C) )

A[2,2] <- paste("-",A[2,2],sep="")
B[1,1] <- 0
matTimes( A, B, simplify=0, method=2 )
matTimes( A, B, simplify=0 )
matTimes( A, B )
matTimes( A, B, padd=0 )
matTimes( A, -2 )
matTimes( matTimes(-1,A), B )
matTimes( A, B[,2] )
matTimes( A[1,], B )
matTimes( A, 1:2 )

}
