% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/modify_math_operators.R
\name{modify_math_operators}
\alias{modify_math_operators}
\title{Modify Mathematical Operators for Symbolic Math}
\usage{
modify_math_operators(where = "parent", print = 1)
}
\arguments{
\item{where}{The environment name. (parent or global)}

\item{print}{= 0 to skip the message}
}
\description{
Japanese help file: \link[lazy.symbolic]{modify_math_operators_JPH} \cr
}
\details{
The following native mathematical operators will be modified
so that they can handle symbolic objects.
\preformatted{
 +     Addition
 -     Subtraction
 *     Scalar Multiplication
 /     Scalar Division
 \%*\%   Matrix Multiplication
 t   transposition
}

These operators will be available in the environment specified by
\code{where}. The default is \code{parent.frame()}, the calling environment.

  To remove these operators, submit the following code: \cr
      rm( `+`, `-`, `*`, `\%*\%`, `/` , t )  .

In addition, we have \cr
\preformatted{
\%@\%   Kronecker product
}
}
\examples{
# in global environment
# remove all
rm(list=ls())

# Create symbolic matrices
A=demomat(3,2,root="a")
B=demomat(3,2,root="b")

# Below causes error.
# A+B

# Load modified operators
modify_math_operators()
ls()

# This works!
A+B

# Remove operators
rm(`+`, `-`, `*`, `\%*\%`,  `/`, t)


# In a function environment
func1 <- function(){
 printm("in function before call", ls())
 modify_math_operators()
 printm("in function after call", ls())
 printm(A+B)
}

printm("in the calling environment before call", ls())
func1()
printm("in the calling environment after", ls())


}
