% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/modify_math_operators_JPH.R
\docType{_PACKAGE}
\name{modify_math_operators_JPH}
\alias{modify_math_operators_JPH}
\title{数値演算子の拡張}
\arguments{
\item{where}{拡張された演算子を出力する環境 (parent or global)}

\item{print}{= 0 ノートを出力しない}
}
\description{
English help file: \link[lazy.symbolic]{modify_math_operators} \cr
}
\details{
以下の数値演算子を文字列を扱えるように拡張する。
\preformatted{
 +     Addition
 -     Subtraction
 *     Scalar Multiplication
 /     Scalar Division
 \%*\%   Matrix Multiplication
 t   transposition
}

これらの演算子は \code{where} で指定される環境に生成される。
デフォールトの場所は \code{parent.frame()} この関数が呼ばれた環境。.

  これらの演算子を無効にするには以下の様にする。 \cr
      rm( `+`, `-`, `*`, `\%*\%`, `/` , t )  .

クロネッカー積演算子は別に存在する。 \cr
\preformatted{
\%@\%   Kronecker product
}
}
\examples{
# Global 環境に生成する例
# まず全てを消去
rm(list=ls())

# 記号的行列を作成
A=demomat(3,2,root="a")
B=demomat(3,2,root="b")

# このままだとエラーになる。
# A+B

# 演算子の拡張
modify_math_operators()
ls()

# 今回はうまくいく。
A+B

# 拡張された演算子を除去
rm(`+`, `-`, `*`, `\%*\%`,  `/`, t)


# 関数の中の例
func1 <- function(){
 printm("in function before call", ls())
 modify_math_operators()
 printm("in function after call", ls())
 printm(A+B)
}

printm("in the calling environment before call", ls())
func1()
printm("in the calling environment after", ls())







}
