% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/summation.R
\name{sumEval}
\alias{sumEval}
\title{Evaluate Summation:}
\usage{
sumEval(sexp, values = NULL, eval = 1, debug = 0)
}
\arguments{
\item{sexp}{An expression containing summation:  s( body, {sub,from,to} )}

\item{values}{replacement pattern for the ranges of subscripts}

\item{eval}{= 0 to leave Sigma notation}

\item{debug}{= 1 to print the intermediate result}
}
\description{
This function converts the summation to sum and evaluates it. \cr
\code{ s(exp[i],{i,1,3}) -> exp[1]+exp[2]+exp[3] }
}
\details{
For each summation found, replace it by its expansion as Sum.
The replacement proceeds from the bottom to top levels.
}
\examples{
sumEval( "s(s(a[i,j],{i,1,ni}),{j,1,nj})" , values="ni=2; nj=3")

( sexp=mat2sum("A\%*\%v",simple=0) )
sumEval( sexp, values="ncol(A)=3" )

}
