% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/summation.R
\name{sumExpand}
\alias{sumExpand}
\title{Expand (Distribute) summation}
\usage{
sumExpand(sexp, frombottom = 0, all = 0, debug = 0)
}
\arguments{
\item{sexp}{An expression containing summation}

\item{frombottom}{= 1 to expand the bottom level summation}

\item{all}{= 1 to expand all the summations}

\item{debug}{= 1 to print  intermediate result}
}
\description{
Expand (Distribute) summation
}
\details{
\preformatted{
s( a + b, {scope} )  ->  s( a, {scope} ) + s( b, {scope} )
}
}
\examples{
sumExpand("s( a + b, {scope} ) ")

exp <- "s(a[i],{i})+s( b*( s(c[i,j],{j}) - s(d[i,j],{j}) ), {i} )"
sumExpand( exp)

exp <- "s( a[i]+b[i] - s( c[ij]-d[ij], {j} ), {i})"
sumExpand( exp, frombottom=1)
sumExpand( exp )
sumExpand( exp, all=1 )

}
