% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/summation.R
\name{sumMoveIn}
\alias{sumMoveIn}
\title{Move summation to the right}
\usage{
sumMoveIn(sexp, frombottom = 1, all = 0, debug = 0)
}
\arguments{
\item{sexp}{An expression containing summation}

\item{frombottom}{= 1 to expand the bottom level summation}

\item{all}{= 1 to move all the movable summations}

\item{debug}{= 1 to print  intermediate result}
}
\description{
Move summation to the right
}
\details{
\preformatted{
s( s( a[i,j]*b[j,k]*c[k,l], {k}) , {j}) ->
                         s( a[i,j]*s( b[j,k]*c[k,l], {k}) , {j})
}
}
\examples{
sumMoveIn( "s( s( a[i,j]*b[j,k]*c[k,l], {k}) , {j})" )
sumMoveIn( "s( s( a[i,j]/b[j,k]*c[k,l], {k}) , {j})" )
sumMoveIn( "s( s( c[k,l]/a[i,j]/b[j,k], {k}) , {j})" )

exp="s( x * s( s( a[i,j]*b[j,k]*c[k,l], {k}) , {j}),  {l})"
sumMoveIn( exp, all=1 )

exp="s( x + s( s( a[i,j]*b[j,k]*c[k,l], {k}) - y, {j}),  {l})"
sumMoveIn( exp, all=1 )

}
