% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/summation.R
\name{suminfo}
\alias{suminfo}
\title{Information of Nested Summations}
\usage{
suminfo(exp, sort = 0, print = 0, debug = 0)
}
\arguments{
\item{exp}{expression to be analyzed}

\item{sort}{= 1 to sort the result descendingly by level \cr
= -1 to sort the result ascendingly}

\item{print}{= 1 to print the result}

\item{debug}{= 1 to print intermediate result}
}
\value{
A list of range, parent, level, sub, srange, body. \cr
where \cr
range starting and ending location of each summation:  s( body, {sub,range})
\cr
parent parent summation number: parent of top = 0 \cr
level  summation level number: level of top = 1 \cr
sub subscript of the summation\cr
srange range of the summation: a matrix consisting of (from,to) \cr
body body of the summation \cr
oper preceding operator or paren etc \cr
locspec starting location of the spec.
}
\description{
Information of Nested Summations
}
\details{
This function analyses an expression containing summations.
}
\examples{
sexp="s( s( (s(a3,{i3})+s(a4,{i4}))*s( s(a6,{i6}), {i5}), {i2}), {i1,1,n1})"
suminfo( sexp, print=1 )


}
