% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/tp.R
\name{tp}
\alias{tp}
\title{Transposition of a Fully Symbolic Partitioned Matrix}
\usage{
tp(A, func = "t", func2 = t)
}
\arguments{
\item{A}{fully symbolic partitioned matrix}

\item{func}{= "transp" if necessary.}

\item{func2}{= transp if  necessary.}
}
\description{
Transposition of a Fully Symbolic Partitioned Matrix
}
\details{
tp is defined as \cr
\code{ map( func, func2(A) ) }

If A does not have fullsymb attribute nore SMdim attribute, that is, \cr
\code{ is.null(attributes(A)$fullsymb) == TRUE}, and \cr
\code{ is.null(attributes(A)$SEdim) == TRUE}, \cr
\code{tp} is equal to \code{t}. \cr
If A has SMdim attribute, \code{tp} is equal to \code{transp}.
}
\examples{
# Standard Matrix
A=demomat(2,3,root="a")
tA=tp(A)
Printb(tA)

# Semi Symbolic Partitioned Matrix:  Super Matrix with SMdim attributes
A=demomat(c(2,3),c(3,4),root="a")
Printb(A)
tA=tp(A)
Printb(tA)

# Fully Symbolic Partitioned Matrix:
# No SMdim attribute but fullsymb attribute
Ap=demomat(2,3,root="A", fullsymb=1)
Printb(Ap)
tAp=tp(Ap)
Printb(tAp)

tp(demomat(3,3,root="A", fullsymb=1,shape="diag"))

}
