% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/vec2vecK.R
\name{vec2vecK}
\alias{vec2vecK}
\title{Conversion of the vec of Matrix Product using vec operator
and Kronecker Product}
\usage{
vec2vecK(A = "I", B = "I", C = "I")
}
\arguments{
\item{A}{The first matrix or Identity matrix}

\item{B}{The second matrix or Identity matrix}

\item{C}{The third matrix or Identity matrix}
}
\value{
An expression as the result of conversion.
}
\description{
Conversion of the vec of Matrix Product using vec operator
and Kronecker Product
}
\details{
This function converts \code{vec(A\%*\%B\%*\%C)} to
\code{(t(C)\%@\%A) \%*\% vec(B)}. \cr

Note that the input matrices can be numeric, semi symbolic,
or full symbolic.

When the number of input matrices is less than 3,
by choosing the matrices to be set equal to I,
various results can be obtained.
}
\examples{
# full symbolic result
# general form
vec2vecK( "A","B","C")

# with two matrices
vec2vecK( "A","B")
vec2vecK( "A",,"B")
vec2vecK( ,"A","B")

\dontrun{
# checking with semi symbolic matrices
A <- demomat(2,2,root="a")
B <- demomat(2,2,root="b")
C <- demomat(2,2,root="c")

# general form
res1 <- vec(A\%*\%B\%*\%C)
res2 <- vec2vecK(A, B, C)

# two matrices
v0 <- vec(A\%*\%B)
v1 <- vec2vecK( A, B, diag(2) )
v2 <- vec2vecK( A, diag(2), B )
v3 <- vec2vecK( diag(2), A, B )
Print(v0,v1,v2,v3)
}

}
